package edu.udo.cs.ie.cowbots.ui;

/**
 * factory class for the graphical cowbot ui
 * 
 * @author Thomas
 *
 */
public class CowUI {

	static BDIViewFrame		ui = null;
	
	public static synchronized ICowbotUI createUI(String agName) {
		if (ui == null) {
			ui = new BDIViewFrame();
		}
		
		return ui.registerAgent(agName);
	}
}
