package edu.udo.cs.ie.cowbots.ui;

import java.awt.Point;
import java.awt.Rectangle;
import java.util.*;

import edu.udo.cs.ie.cowbots.bdi.brf.IdentTable;
import edu.udo.cs.ie.cowbots.bdi.desgen.IDesireState;
import edu.udo.cs.ie.cowbots.logic.ELP;
import edu.udo.cs.ie.cowbots.logic.ELPLiteral;
import edu.udo.cs.ie.cowbots.util.*;
import edu.udo.cs.ie.cowbots.util.cluster.CowCluster;

/**
 * a dummy ui implementation. this class displays nothing
 * and is useful if you won't or can't use graphical output.
 * 
 * @author Thomas
 *
 */
public class DummyUI implements ICowbotUI {

	@Override
	public void updateBeliefSet(Collection<ELPLiteral> beliefSet, IdentTable it, GridMap map) {
		
	}

	@Override
	public void updateBeliefState(ELP beliefState) {
		
	}
	
	@Override
	public void updateDesireState(IDesireState desState) {
		
	}

	@Override
	public void updateIntentionState(String is) {
		
	}

	@Override
	public void updateCluster(List<CowCluster> clusters) {
		
	}

	@Override
	public void updateAgentPath(List<Point> agPath) {
		
	}

	@Override
	public void updateExPlanner(List<String> infos) {
	
	}

}
