package edu.udo.cs.ie.cowbots.internalActions.experimental2;

import jason.asSemantics.DefaultInternalAction;
import jason.asSemantics.TransitionSystem;
import jason.asSemantics.Unifier;
import jason.asSyntax.NumberTermImpl;
import jason.asSyntax.Term;
import edu.udo.cs.ie.cowbots.agent.ICowbot;
import edu.udo.cs.ie.cowbots.bdi.desgen.CDesire;

/**
 * this method returns the intensity for the current goal. it does
 * not depend on the deliberation at all and uses the desire state
 * directly.
 * 
 * @author Thomas
 *
 */
public class exGoalIntensity extends DefaultInternalAction {

	@Override
	public Object execute(TransitionSystem ts, Unifier un, Term[] args) throws Exception {
		ICowbot cb = (ICowbot) ts.getAg();
		CDesire des0 = cb.getCowDesires().getDesireState().getMostMotivatedDesire();
		int int0 = des0.getIntensity();
		un.unifies( new NumberTermImpl(int0), args[0]);
		return true;
	}
}