package edu.udo.cs.ie.cowbots.logic;

/**
 * This class provides basic features many K-Rules have.
 * 
 * @author Elly
 */

import java.util.ArrayList;

public abstract class KRule {

	ArrayList<ELPLiteral> ifPart = new ArrayList<ELPLiteral>();
	ArrayList<ELPLiteral> afterPart = new ArrayList<ELPLiteral>();

	public void addIf(ELPLiteral newIf){
		ifPart.add(newIf);
	}

	public void addAfter (ELPLiteral newAfter){
		afterPart.add(newAfter);
	}
	
	public String toString(){
		String ret = "";
		if (!ifPart.isEmpty()){
			ret += " if " ;
			for (int i=0; i< ifPart.size(); i++){
				ret += ifPart.get(i).toString();
				if (i<ifPart.size()-1) { 
					ret += ", ";
				} else{ if(afterPart.isEmpty()){
						ret += ".";
						}
				}
			}
		}
		if (!afterPart.isEmpty()){
			ret += " after ";
			for (int i=0; i< afterPart.size(); i++){
				ret += afterPart.get(i).toString();
				if (i<afterPart.size()-1){
					ret += ", ";
				} else{
					ret += ".";
				}
			}
		}
		
		return ret;
	}
	
}
