//Initial beliefs
//iAmNotBusy.
//openswitch(leader, 10, 12, 14).
//iam(stacy).
{include ("shared_knowledge.asl")}
{include ("walker.asl")}
{include ("helper.asl")}
{include ("leader.asl")} 
{include ("cbfunk.asl")}
 


// stepAwayFromSwitch(WPD, SD, X, Y) when you want to pass a fence, you just opened from outside, 
// which was faced from waypoint direction WPD with a Switch in the cardinal direction SD, 
// you have to step X-1 and Y-1 steps away from the toggling spot, before passing it

/*
stepAwayFromSwitchMind(north, east, 0, 1).
stepAwayFromSwitchMind(south, east, 0, 1).
stepAwayFromSwitchMind(north, west, 2, 1).
stepAwayFromSwitchMind(south, west, 2, 1).
stepAwayFromSwitchMind(north, neutral, 1, 2).
stepAwayFromSwitchMind(south, neutral, 1, 0).
stepAwayFromSwitchMind(west, north, 1, 0).
stepAwayFromSwitchMind(east, north, 1, 0).
stepAwayFromSwitchMind(west, south, 1, 2).
stepAwayFromSwitchMind(east, south, 1, 2).
stepAwayFromSwitchMind(west, neutral, 2, 1).
stepAwayFromSwitchMind(east, neutral, 0, 1).
*/


radius(4). //fest eingetragen, bis es irgentwann zentral festgelegt wird





!dooropeningHelping.

+dummyEvent:true
<-
	true.
	
+!scouted:true
<- //.print("verfolge scouting....");
	.wait(1000).
	

//Plans

//dooropeningHelping: testplan, sollte so oder so aehnlich teil eines helperplans sein

//fall, dass anweisung einen switch zu oeffnen eintrifft, leitet eigentlichen dooropening plan ein
+!dooropeningHelping: openSwitch(X,Y)[source(S)]
<-	
	.print("Ich soll helfen eine Tuer zu oeffnen");
	
	!dooropening;
    .wait(100);
	-openSwitch(X,Y)[source(S)];
	-openSwitch(_,_)[source(S)];
    .wait(100);
	!dooropeningHelping.
	
//fall, dass anweisung einen switch zu oeffnen eintrifft, leitet eigentlichen dooropening plan ein
+!dooropeningHelping: startLookingForSwitch(D)[source(S)]
<-	
	.print("Ich soll helfen einen Schalter zu finden");
	
	!lookForSwitch;
	.wait(100);
	-startLookingForSwitch(D)[source(S)];
	-startLookingForSwitch(_)[source(S)];
    .wait(100);
	!dooropeningHelping.	
	
	
+!dooropeningHelping: checkDistance(S, X, Y)[source(L)]
<-
	.print("Ich soll meine Distanz zu ", S, " zurueckgeben.");
	?iam(N);
	?ison(N, X2, Y2, T);
	edu.udo.cs.ie.cowbots.internalActions.scout.distanceToCP(X2,Y2,X,Y,V);
	.send(L, tell, distanceToSwitch(S, X, Y, V, T));
	-checkDistance(S,X,Y)[source(L)];
	!dooropeningHelping.	
	
	
//+!dooropeningHelping: stepAwayFromSwitch(Direction, Sdx)[source(L)]
//<-
//	.print("Ich soll einen Schalter freimachen.");
	
//	?stepAwayFromSwitchMind(Direction, Sdx, X4, Y4);
//	?iam(N);
//	?ison(N, X, Y, _);
//	.print(N, " ", X, ",", Y);
//	!walkTo( X + (X4 - 1), Y + (Y4 - 1));
//	.print("bin gelaufen");
//	.send(L, tell, steppedAway);
//	.print("success gesendet");
//	-stepAwayFromSwitch(Direction, Sdx)[source(L)];
//	.print("literal entfernt");
//	!dooropeningHelping.	

	
+!dooropeningHelping: getinformation(Leader, Step)[source(Leader)]
<-
	?wp(Leader, WPType, T, Obj, Step, X,Y, FromDirection, ToDirection, Formationpos, AgentsCount, Time);  
	?radius(R);
	//.print(T,X,Y,FromDirection,ToDirection,Formationpos,AgentsCount,R);
	!getMyNextPosition(T, X, Y, FromDirection, ToDirection, Formationpos, AgentsCount, R);
	?myNextPositionCoordinates(Xd,Yd);	 
	//.print("ich weiss meine naechste position: ", Xd, ",", Yd);  
	
	!setWalkingModi(1,1,1);	
	-walkingfailed;
	!walkTo(Xd,Yd);
	
	
	?iam(N);
	?ison(N, Nx, Ny,_);
	//.print("ich bin auf ", Nx, ",", Ny, " angekommen");
	//.print("bin angekommen und sende information");   
	.send(Leader, tell, information(N, Step));
	!removeGetInformation;
	!dooropeningHelping.
	
+!dooropeningHelping: fencePassed[source(Leader)]
<-
	-fencePassed;
	.print("Dooropenerrolle wird abgelegt").
	
+!removeGetInformation : iam(N) & ison(N, X, Y, _) & getinformation(Leader, Step)[source(Leader)] & wp(Leader, WPType, T, Obj, Step, X2, Y2, FromDirection, ToDirection, Formationpos, AgentsCount, Time)
<-
	-getinformation(Leader, Step)[source(Leader)].
	
+!removeGetInformation
<- true.
	
//standardfall, keine nachrichten --> abwarten (rekursiv). 
+!dooropeningHelping: true 
<-
	.print("Warte auf Anweisungen");
    .wait(2000);
	!dooropeningHelping.
	
//fehlerbehandlung, kann eigentlich nicht eintreten, au�er bei tippfehlern.;)
-!dooropeningHelping: true
<-
	.print("dooropeningHelping mit Fehler beendet").




//dooropening: eigentlicher dooropening task, es bleibt zu klaeren, ob es wirklich ein singleagenttask ist oder ein subplan

//success: der agent ist auf dem zielfeld angekommen
+!checkDestination : 
		ison(Ag, X, Y,_) & openSwitch(X,Y)[source(Bg)] & iam(Ag)
<-

   .print("bin am Schalter angekommen");
   .send(Bg, tell, arrivedAtSwitch(X, Y));
   .wait(100).
   

//standardfall: der agent stellt einen plan auf, um einen switch zu erreichen. 
//(rekursiv) sollte aber eventuell durch konkrekte fehlerbehandlung 
//und komplettes planen (nicht nur einzelne aktionen) linear verbessert werden
+!dooropening : 
		openSwitch(X, Y)[source(Ag)]
<-
//  .print("dooropener plan triggert :D");
    //TODO WALKING
    //.print("ich denke also...");
   ?iam(N); 
   //.print("ich bin ", N);
   ?ison(N,X1,Y1,_);
   //.print("ich bin auf Position (", X1, ", ", Y1, ")");
   -walkingfailed; 
   !setWalkingModi(0,1,0);
   !walkTo(X,Y);
   !setWalkingModi(0,0,0);
   .wait(100);
   !checkDestination.




//fehlerbehandlung bei nicht gueltigem kontext. sollte nicht eintreten -> tippfehler
+!dooropening : 
		true
<-

   .print("dooropener plan triggert nicht").
   
   
//eigentliche fehlerbehandlung wenn testgoals fehlschlagen
-!dooropening:true
<-   
    .wait(100);
	.print("dooropening endet mit fehler - starte neu (=> Weg neu planen)");
    .wait(100);
	!dooropening.


+!lookForSwitch : switchFound
<-	
	.print("Ich soll helfen eine Tuer zu oeffnen");
	-switchFound.
	
	
+!lookForSwitch : startLookingForSwitch(Direction)[source(Bg)] & ison(S,X,Y,T) & switch(S) 
<-
	.print("sehe Switch");
	.send(Bg, tell, switchDetected(S, X, Y, T));
	.wait(100).

	
	
	
+!lookForSwitch : startLookingForSwitch(Direction)[source(Bg)]
<-	
	.print("suche Switch in Richtung ", Direction);
	Direction;
	!lookForSwitch.



