// Walking to some coordinates
/* Initial beliefs and rules */
walkfailscount(0).
walkingfailstolerance(3).

{include ("shared_knowledge.asl")}

/* Initial goals */


/* Plans */

+!debugPrint(D): debug <-
      ?iam(MyName);
     .concat("ASL-DEBUG: Agent:",MyName," MSG: ",D,MSG);	
	.print(MSG).
+!debugPrint(D): not debug <- true.

+! scoutWalkTo(X,Y): planFailed
<- !abolishPlan.
		
// Debug-Plan for abolish Plans		
//+! scoutWalkTo(X,Y): myVassal
//<- .fail.	

	
		
+!scoutWalkTo(X, Y):  iam(MyName) & ison(MyName,X,Y,_)     
   <-
   -distanceToCP(_);       
   .concat("Position ist schon erreicht, es gibt keinen grund auf der Stelle zu laufen! ", Msg2);
   !debugPrint(Msg2).
   
   
+!scoutWalkTo(X, Y): 
    not walkingfailed 
    & distanceToCP(Dis) 
	& Dis < 3 
   <-    
   -distanceToCP(_);
   .concat("Position ist nahe genug dran, beende Lauferei ", Msg2a);
   !debugPrint(Msg2a).
   
   
+!scoutWalkTo(X, Y): 
    not walkingfailed 
    & walkfailscount(FailesCount) 
    & walkingfailstolerance(Maxfailes)
    & FailesCount<=Maxfailes    
   <- 
   
   .concat("Starte einen walking step", Msg1);
   !debugPrint(Msg1);
   !scoutDoOneStep(X,Y);  
   .concat("Ende von einem walking step, aktuelle anzahl der Fehler ",FailesCount, Msg2);
   !debugPrint(Msg2);
   !scoutWalkTo(X, Y).
        
+!scoutWalkTo(X, Y): walkingfailed <- -distanceToCP(_); .fail. 
           
+!scoutDoOneStep(X,Y)  : true 
       <- 
          ?iam(MyName); 
          ?ison(MyName,X1,Y1,_);
          ?time(T);  
          edu.udo.cs.ie.cowbots.internalActions.scout.astar(X1,Y1,X,Y,A,T,0,0,1);
         .concat("Walking action is: ", A, Msg1);
         !debugPrint(Msg1);
         .concat("Versuche Aktion ",A, " auszuf�hren", Msg2);
         !debugPrint(Msg2);
          A;
         .concat("Aktion ",A, " auszuf�hrt", Msg3);
         !debugPrint(Msg3);
          edu.udo.cs.ie.cowbots.internalActions.scout.distanceToCP(X1,Y1,X,Y,Dis);
          -+distanceToCP(Dis);
          edu.udo.cs.ie.cowbots.internalActions.getExpectedCoordinates(X1, Y1, A, ExpX, ExpY);
          .concat("Erwartete Position x=",ExpX, " y=", ExpY, Msg4);
          !debugPrint(Msg4);
          ?ison(MyName,ActX,ActY,_);
          .concat("Tats�chliche Position x=",ActX, " y=", ActY,Msg5);
          !debugPrint(Msg5);
          ?ison(MyName,ExpX, ExpY,_);        
         .concat("Position getestet, ein Schrit hat sowas von geklappt!",Msg6);
         !debugPrint(Msg6);
         -walkfailscount(_);
         +walkfailscount(0).
         
         
         
         
-!scoutDoOneStep(X,Y) : not walkingfailed
	& walkfailscount(0)
	& distanceToCP(Dis) 
	& Dis < 3
	<-
      !debugPrint("scoutDoOneStep failed, but near enough to the WP").
	         
            
-!scoutDoOneStep(X,Y) : not walkingfailed 
       & walkfailscount(FailesCount) 
       & walkingfailstolerance(Maxfailes)
       & FailesCount<Maxfailes   
      <- 
        .concat("ein Schrit hat nicht geklappt, aktuelle Anzahl der Fehhler war ", FailesCount,Msg1);
        !debugPrint(Msg1);
        NewFailesCount=FailesCount+1;
        -walkfailscount(_);
        +walkfailscount(NewFailesCount).
        
 -!scoutDoOneStep(X,Y) :
         walkfailscount(FailesCount) 
       & walkingfailstolerance(Maxfailes)
       & FailesCount>=Maxfailes   
      <- 
        .concat("ein Schrit hat nicht geklappt, und die Anzahl der Fehler wurde �berschritten",Msg1);
        !debugPrint(Msg1);       
        -walkfailscount(_);
        +walkfailscount(0);
        +walkingfailed .
                   
  
     
 