// Excecuting allocated tasks
//
// Author: Daniel and Thomas

lasttime(0).
lastfence(0).

// Open the door
+!helped(A,T,C) : taskopenfence(FX,FY,_)[source(_)]
	& iam(I)
	& agentposition(I,X1,Y1)
	& edu.udo.cs.ie.cowbots.internalActions.experimental2.exSwitchPosition(X1,Y1,FX,FY,TX,TY)
	& (X1 \== TX | Y1 \== TY)
<-	!moveAsOpener(TX,TY).
	
// Stay on the switch to hold the door open 
+!helped(A,T,C) : taskopenfence(FX,FY,_)[source(_)]
	& iam(I)
	& agentposition(I,X1,Y1)
	& edu.udo.cs.ie.cowbots.internalActions.experimental2.exSwitchPosition(X1,Y1,FX,FY,TX,TY)
	& (X1 == TX & Y1 == TY)
<-	.print("Reached the door, waiting here...");
	.wait(1000).
	
// Change position to drive cow
+!helped(A,T,C) : not taskopenfence(FX,FY,_)[source(_)]
	& waypoint(startwp,drivencow,_,_,X,Y,_,D,P,_,_)[source(_)]
	& iam(I)
	& agentposition(I,X1,Y1)
	& edu.udo.cs.ie.cowbots.internalActions.experimental2.exEasyFormation(X, Y, P, D, ExpX, ExpY)
	& (X1 \== ExpX | Y1 \== ExpY)
<-	.print("Helping with ",T," on ",C);
	.print("Start walking to ",ExpX,",",ExpY);
	!move(ExpX,ExpY,D).
	
// Hold position to drive cow
+!helped(A,T,C) : not taskopenfence(FX,FY,_)[source(_)]
	& waypoint(startwp,drivencow,_,_,X,Y,_,D,P,_,_)[source(_)]
	& iam(I)
	& agentposition(I,X1,Y1)
	& edu.udo.cs.ie.cowbots.internalActions.experimental2.exEasyFormation(X, Y, P, D, ExpX, ExpY)
	& (X1 == ExpX & Y1 == ExpY)
<-	.print("Reached my driving position, waiting here...");
	.wait(1000).

-!helped(A,T,C) : true
<-	.print("Stopping help");
	.wait(1000).
	
// --- React to new knowledge ---

+waypoint(startwp,drivencow,C,_,_,_,_,_,_,_,N) : true
<-	.print("Got new waypoint for driving cow ",C);
	?lasttime(Q);
	-waypoint(startwp,drivencow,_,_,_,_,_,_,_,_,Q)[source(_)];
	-lasttime(Q);
	+lasttime(N);
	-taskopenfence(_,_,_)[source(_)];
	.succeed_goal(helped(_,_,_)).
	
+taskopenfence(FX,FY,T)[source(_)] : true
<-	?lastfence(Q);
	-taskopenfence(_,_,Q)[source(_)];
	-lastfence(Q);
	+lastfence(T);
	// Quit old plan
	.succeed_goal(helped(_,_,_)).
